Download it now!
Bug 79153 - SVG: Wrong position of exported text, which is connected with a line.
Summary: SVG: Wrong position of exported text, which is connected with a line.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2014-05-23 21:15 UTC by Ondřej
Modified: 2019-06-20 02:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Archive of original file and exported SVG file. (24.33 KB, application/zip)
2014-05-23 21:15 UTC, Ondřej
Details
Appearance in LO 5.1.0.3 (12.75 KB, image/svg+xml)
2016-03-25 19:18 UTC, Ondřej
Details
Exported SVG w/ text incorrect (9.66 KB, image/svg+xml)
2016-07-25 04:19 UTC, Valter Fukuoka
Details
Original ODG file (10.15 KB, application/vnd.oasis.opendocument.graphics)
2016-07-25 04:20 UTC, Valter Fukuoka
Details
export-svg.svg from LO Draw 6.1 beta 2 in Chrome (34.64 KB, image/png)
2018-06-19 09:50 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ondřej 2014-05-23 21:15:32 UTC
Created attachment 99677 [details]
Archive of original file and exported SVG file.

Problem description: 

Wrong position of exported text, which is connected with a line.

Steps to reproduce:
1. Crate a line a type some long text.
2. Tilt the line about 15°.
3. Export it as SVG file.

Current behavior:
You can see in the picture (SVG file).

Expected behavior:
I should look like as ODG file.
              
Operating System: Ubuntu
Version: 4.2.3.3 release
Comment 1 Jorendc 2014-05-25 11:00:38 UTC
Reproducible, tested using Windows 8.1 with LibreOffice Versie: 4.2.4.2 
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8

Not sure this is a dupe of bug 57215

Kind regards,
Joren
Comment 2 Ondřej 2014-05-25 13:47:49 UTC
Thanks for quick response, but I thing that it is not completly the same problem. Because bug 57215 is about exporting rotated text, but in this case is text bonded to line.
I am sorry for my English, but I hope that you can understand to everything I wrote.

Have a nice day :-)
Comment 3 Jorendc 2014-05-25 13:49:41 UTC
Thanks for your feedback :-). Your English is very well. No worries about that :-).

I just linked them together. I wasn't that sure. Thanks for mentioning this is a different bug.

Kind regards,
Joren
Comment 4 QA Administrators 2015-06-08 14:42:36 UTC Comment hidden (obsolete)
Comment 5 Ondřej 2016-03-25 19:18:52 UTC
Created attachment 123855 [details]
Appearance in LO 5.1.0.3

Appearance in LO 5.1.0.3 from Windows 7.
Situation is unfortunately worse than in LO 4.2.8.2 on Ubuntu 14.04.
Comment 6 Valter Fukuoka 2016-07-25 04:00:17 UTC
Found the same problem when exporting .SVG of Arrow object with text inside...
Test file (.odg, .jpg and .svg) will be included here...
Comment 7 Valter Fukuoka 2016-07-25 04:19:31 UTC
Created attachment 126391 [details]
Exported SVG w/ text incorrect
Comment 8 Valter Fukuoka 2016-07-25 04:20:21 UTC
Created attachment 126392 [details]
Original ODG file
Comment 9 Heiko Tietze 2016-07-25 08:01:27 UTC
/confirmed

Version: 5.3.0.0.alpha0+ (x64)
Build ID: f536a83d51443d19dba58157cea28fb67a090e02
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-06-13_01:19:21
Locale: de-DE (de_DE)
Comment 10 QA Administrators 2018-06-18 02:43:05 UTC Comment hidden (obsolete)
Comment 11 Roman Kuznetsov 2018-06-19 09:50:25 UTC
Created attachment 142908 [details]
export-svg.svg from LO Draw 6.1 beta 2 in Chrome

still repro in LO Draw 6.1 beta 2
Comment 12 QA Administrators 2019-06-20 02:50:21 UTC
Dear Ondřej,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug